# ReflectionClassConstant::export

(PHP 7 >= 7.1.0)

ReflectionClassConstant::export — Exporte

Avertissement

Cette fonction est OBSOLÈTE à partir de PHP 7.4.0, et a été SUPPRIMÉE à partir de PHP 8.0.0. Dépendre de cette fonction est fortement déconseillé.

### Description

public static ReflectionClassConstant::export(mixed `$class`, string `$name`, bool `$return` = ?): string

Exporte une réflexion.

Avertissement

Cette fonction est actuellement non documentée ; seule la liste des arguments est disponible.

### Liste de paramètres

`class`

  La réflection à exporter.

`name`

  Le nom de la constante de classe.

`return`

  Le fait de le définir à `true` retournera l'export plutôt que l'émission. Le définir à `false` (par défaut) fera l'inverse.

### Valeurs de retour

### Voir aussi

- ReflectionClassConstant::__toString() - Retourne la représentation sous forme de chaîne de caractères de l'objet ReflectionClassConstant